@ECHO OFF

ECHO ---- Building Episode I...
CD ep1
SPASM epilogue.asm epilogue.bin
SPASM epiloguece.asm epiloguece.bin
HUFFMAN huffep1
CD..
ECHO.

ECHO ---- Building Episode II...
CD ep2
SPASM epilogue.asm epilogue.bin
SPASM epiloguece.asm epiloguece.bin
HUFFMAN huffep2
CD..
ECHO.

ECHO ---- Building Episode III...
CD ep3
SPASM epilogue.asm epilogue.bin
SPASM epiloguece.asm epiloguece.bin
SPASM easter.asm easter.bin
HUFFMAN huffep3
CD..
ECHO.

ECHO ---- Converting graphics for the TI-83+ flash application...
CD gfx
CONVIMG
ECHO.

ECHO ---- Arranging graphics for the TI-83+ flash application...
BINWIZ binwiz
ECHO.

ECHO ---- Compressing graphics for the TI-83+ flash application...
HUFFMAN huffman
DEL tileset*.bin > NUL
DEL gfx.txt > NUL
CD..
ECHO.

ECHO ---- Converting graphics for the TI-84+CE...
CD gfxce
CONVIMG
ECHO.

ECHO ---- Arranging graphics for the TI-84+CE...
BINWIZ binwiz
ECHO.

ECHO ---- Compressing graphics for the TI-84+CE...
HUFFMAN huffman
DEL ablogo.bin > NUL
DEL tileset*.bin > NUL
DEL spr*.bin > NUL
DEL img*.bin > NUL
DEL hudbar.bin > NUL
DEL ep*.bin > NUL
DEL gfx.txt > NUL
CD..
ECHO.

ECHO ----- Assembling Alien Breed 5 as TI-83+ flash application...
SPASM -DTI83PLUS ab5.asm ab5.8xk
ECHO.

ECHO ----- Assembling Alien Breed 5 for the TI-84+CE...
SPASM64 -L -E ab5dat.asm ab5dat.8xv
SPASMINC ab5dat > NUL
SPASM64 -L -E ab5gfx1.asm ab5gfx1.8xv
SPASMINC ab5gfx1 > NUL
SPASM64 -L -E ab5gfx2.asm ab5gfx2.8xv
SPASMINC ab5gfx1 > NUL
SPASM64 -L -E ab5lvl.asm ab5lvl.8xv
SPASMINC ab5lvl > NUL
DEL ab5*.lab > NUL
SPASM64 -E -DTI84PLUSCE ab5.asm ab5.8xp
DEL ab5*.inc > NUL
ECHO.

PAUSE
