;===============================================================;
;                                                               ;
; Alien Breed 5                                                 ;
; Event routines                                                ;
;                                                               ;
;===============================================================;

;------------------------------------------------
; iniEvents - save pointers to event table and event scripts
;   input:  HL => first byte of event data (number of events byte)
;           A = number of events
;   output: none
;------------------------------------------------
iniEvents:
        inc     hl                              ; HL => eventTable (offsets to events)
        ld      (pEventTable),hl
        add     a,a
        ld de,0 \ ld e,a                        ; DE = (number of events) * 2
        add     hl,de                           ; HL => start of event scripts
        ld      (pEvents),hl
        ret

.end
